Subversion - Apache startet nicht

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Subversion - Apache startet nicht

Postby Torsten » 13. May 2006 17:44

Hallo ich versuche svn in Apche zu integrieren Habe die module
LoadModule dav_svn_module modules/mod_dav_svn.so
LoadModule authz_svn_module modules/mod_authz_svn.so

gelden und auch die dll kopiert wie in einem alten tread zu finden war,

bekomme aber immernoch die Meldung.
Code: Select all
apache.exe: Syntax error on line 141 of C:/Programme/xampp/apache/conf/httpd.conf: API module structure `dav_svn_
 in file C:/Programme/xampp/apache/modules/mod_dav_svn.so is garbled - perhaps this is not an Apache module DSO?



Für tipps wäre ich sehr dankbar

Torsten
Torsten
 
Posts: 17
Joined: 03. December 2003 19:56

Postby Torsten » 18. May 2006 18:41

gibt es da irgend welche Kompatiblitätsproblem zwischen den verschieden subversion und apache Versionen ??


Gruß Torsten
Torsten
 
Posts: 17
Joined: 03. December 2003 19:56

Postby mr3komma8promille » 15. June 2006 13:31

Torsten wrote:gibt es da irgend welche Kompatiblitätsproblem zwischen den verschieden subversion und apache Versionen ??

Ja, leider gibt es noch keine neuen Module von Subversion für Apache 2.2 . Habe auch das Problem, aber unter Linux.
mr3komma8promille
 
Posts: 5
Joined: 30. September 2005 14:01

Postby Torsten » 15. June 2006 19:21

welche Kombinationen von apche und subversion gehen denn

Danke
Torsten
Torsten
 
Posts: 17
Joined: 03. December 2003 19:56

Postby maletin » 14. July 2006 11:36

soweit ich weiss sind die svn-module fuer apache 2.0 uebersetzt worden.
Die Version 1.5.0 sollte demnach noch funktionieren.
maletin
 
Posts: 5
Joined: 20. July 2004 10:31

Postby mk85 » 18. July 2006 15:49

hast schon jemand ne lösung... ???


ich habe mit xampp 1.5.0, XAMPP 1.5.3a jeweils mit subversion 1.3.2 getestet und apache konnte nicht mehr starten sobald ich die beiden zeilen

LoadModule dav_svn_module modules/mod_dav_svn.so
LoadModule authz_svn_module modules/mod_authz_svn.so

in die httpd.conf einfüge...
mk85
 
Posts: 2
Joined: 18. July 2006 15:40

Postby mk85 » 19. July 2006 21:28

habe jetzt die xampp version 1.5.0 und die subversion 1.3.1
damit funktioniert die ganze Sache
mk85
 
Posts: 2
Joined: 18. July 2006 15:40

Postby Sider » 19. September 2006 09:41

Ich habe das gleiche Problem mit Apache 2.2.0 und SVN 1.4, allerdings möchte ich nur ungern einen zweiten Apache laufen lassen.

Ich bekam auf Anfrage an einen der Entwickler folgendes heraus:

I read in the news that SVN 1.4 will support Apache 2.2.0 and was really looking forward for this release. Does this version support Apache 2.2.0?

A: Yes, it does.

However, as apache httpd 2.2 links against APR 1.x, you need to build Subversion with APR 1.x as well. This is likely the cause of the build failure.

Also, you should direct future support requests to the users@subversion.tigris.org mailing list, as you will get better support from there. Mailing me only reaches me, and I don't always know all the answers.


Die mehrfache Nachfrage auf dieser Mailliste, wie man denn sowas "baut", brachte keine einzige Antwort.

Ich versuchte dann herauszufinden, wie man das baut und fand etwas, womit ich aber nicht so richtig was anzufangen wusste:
http://www.lyra.org/pipermail/neon/2005 ... 02138.html

Auch auf dieser Mailliste fragte ich nach, bekam aber nur eine recht unzureichende Antwort.

Möglicherweise kann ja jemand was damit anfangen und entweder eine Version von SVN bauen oder sagen wie man das selbst tun kann?
Sider
 
Posts: 57
Joined: 13. February 2006 15:12


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 16 guests